Bug 477777 - No Sound SoundBlaster Audigy not working
No Sound SoundBlaster Audigy not working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-23 12:08 EST by John Mellor
Modified: 2010-06-30 12:25 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:01:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mellor 2008-12-23 12:08:52 EST
Description of problem:
No sound in F10, working properly in F9


Version-Release number of selected component:
(all stock F10 w/ updates)
pulseaudio-core-libs-0.9.13-6.fc10.i386
pulseaudio-libs-glib2-0.9.13-6.fc10.i386
xine-lib-pulseaudio-1.1.15-3.fc10.i386
pulseaudio-module-x11-0.9.13-6.fc10.i386
pulseaudio-esound-compat-0.9.13-6.fc10.i386
pulseaudio-module-gconf-0.9.13-6.fc10.i386
pulseaudio-utils-0.9.13-6.fc10.i386
pulseaudio-0.9.13-6.fc10.i386
pulseaudio-libs-0.9.13-6.fc10.i386
alsa-plugins-pulseaudio-1.0.18-1.rc3.fc10.i386


How reproducible:
all the time


Steps to Reproduce:
1. Install F9, note sound working correctly
2. Install F10, note no sound
3. alsaunmute
Unknown hardware: "CA0106" "" "" "" ""

  
Actual results: no sound


Expected results: better sound that F9


Additional info:
This is a very common ~3-year-old card card.  It worked in F9 out-of-the-box, but is totally dead in F10

dmesg reports:
> CA0106 0000:01:08.0: PCI INT A -> Link[APC1] -> GSI 16 (level, high) -> IRQ 16
snd-ca0106: Model 1006 Rev 00000000 Serial 10061102

/var/log/messages shows:
> Dec 22 11:50:36 john kernel: CA0106 0000:01:08.0: PCI INT A -> Link[APC1] -> GSI 16 (level, high) -> IRQ 16
> Dec 22 11:50:36 john kernel: snd-ca0106: Model 1006 Rev 00000000 Serial 10061102

and further on in /var/log/messages:
> Dec 22 11:52:53 john pulseaudio[2867]: main.c: Called SUID root and real-time/high-priority scheduling was requested in the configuration. However, we lack the necessary privileges:
> Dec 22 11:52:53 john pulseaudio[2867]: main.c: We are not in group 'pulse-rt' and PolicyKit refuse to grant us privileges. Dropping SUID again.
> Dec 22 11:52:53 john pulseaudio[2867]: main.c: For enabling real-time scheduling please acquire the appropriate PolicyKit privileges, or become a member of 'pulse-rt', or increase the RLIMIT_NICE/RLIMIT_RTPRIO resource limits for this user.
> Dec 22 11:52:53 john pulseaudio[2867]: main.c: High-priority scheduling enabled in configuration but not allowed by policy.
> Dec 22 11:52:53 john pulseaudio[2867]: core-util.c: setpriority(): Permission denied
> Dec 22 11:52:54 john pulseaudio[2870]: alsa-util.c: Device front:0 doesn't support 44100 Hz, changed to 48000 Hz.
> Dec 22 11:52:54 john pulseaudio[2870]: alsa-util.c: Cannot find fallback mixer control "PCM".

and lastly in /var/log/messages:
> Dec 22 17:24:19 john pulseaudio[2870]: module-alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write! Most likely this is an ALSA driver bug. Please report this issue to the PulseAudio developers.

alsa-info reports:
ALSA Information Script v 0.4.52
--------------------------------

This script will collect information about your ALSA installation and sound related hardware, to help diagnose your problem.

By default, the collected information will be AUTOMATICALLY uploaded to a www.alsa-project.org site.
If you do not wish for this to occur, run the script with the --no-upload argument

Do you want to run this script? [y/n] : y
				Uploading information to www.alsa-project.org ...  Done!

Your ALSA information is located at http://www.alsa-project.org/db/?f=5ed45402159b9641226fb4296dc3b566b08378ee

Please inform the person helping you.


Your ALSA information is located at http://www.alsa-project.org/db/?f=5ed45402159b9641226fb4296dc3b566b08378ee

Please inform the person helping you.
Comment 1 John Mellor 2009-01-01 17:53:04 EST
After consulting with #fedora, it would appear that analog audio is disabled by default in F10.  Re-enabling this and actually turning up the new volume control corrects the problem.  So, the actual bug is that not correctly knowing the hardware plugged in, the developers should have enabled ALL outputs by default, and not just the low-usage digital-only output.

Since analog audio is the normal output for *most* PC users today, the defaults are just wrong.  Since the incorrect settings are not even visible until the appropriate output is enabled, the fix is not obvious.  This needs special documentation in the FAQ, the install docs, and in the sound setup screens.

As an aside, I am disgusted with the exceedingly poor integration between alsa and pulseaudio, which does not even share volume controls.  I am left in F10 with a bewildering array of mixers that are very poorly thought out.  PLEASE INTEGRATE THESE MIXERS PROPERLY!!!
Comment 2 Lennart Poettering 2009-01-05 17:17:35 EST
This is not a PA bug, but an ALSA mixer initialization issue. Reassigning.
Comment 3 Daniel 2009-01-07 17:17:09 EST
Can confirm this behaviour. None of my soundcards is working anymore. 
'yum erase pulsaudio' does it not make any better. With pulsaudio integrated the sound is "jumpung" every few seconds. Never had such issues before (SB Live is more then 10 years old and always worked out of the box with all previous Fedora versions.
Comment 4 John Thacker 2009-06-20 11:33:50 EDT
"This is not a PA bug, but an ALSA mixer initialization issue. Reassigning. "

No, how is the ALSA mixer supposed to know whether you're using digital output or analog output?  It's an either-or issue with the Audigy2 cards.  The "IEC958 Optical Raw" control needs to be set to true for digital, and false for analog output or it won't work.

pavucontrol has a setting to determine Digital Output (IEC958) or Analog Output.  Those settings should actually set the correct alsamixer controls, but they don't.

Also see comments on bug 497468

This happens in Fedora 11 as well.
Comment 5 Riku Seppala 2009-06-30 17:38:15 EDT
ping
Comment 6 Riku Seppala 2009-07-01 09:35:54 EDT
>Since analog audio is the normal output for *most* PC users today, the defaults
>are just wrong.  Since the incorrect settings are not even visible until the
>appropriate output is enabled, the fix is not obvious.

So how do I do that? At least give me some workaround I really want my sound working.
Comment 7 Riku Seppala 2009-07-01 11:57:10 EDT
OK I managed to get the sound working but, I hope in the future sound works out-of-the-box like it use to.
Comment 8 Michael J. Burns 2010-04-26 17:13:45 EDT
I have a regression in an up-to-date Fedora 12 installation (64 bits) as compared to Fedora 12 in November, 2009.

The ca0106 card works as the default sound card in a Live Disk boot of Fedora 12, while the via82xx sound is inoperative with the Live Disk.

With current Fedora 12, only the via82xx chip can be made to produce sound. Back in November, three kinds of chip were able to put out sound - the cmipci card as well when it was in the machine. There is suspicious data on the information dump for the ca0106 "Audigy SE" card.

From /tmp/alsa-info.txt.A62HjdhseK :
!!Modprobe options (Sound related)
!!--------------------------------

snd_ca0106: index=0
snd_via82xx: index=1


!!Loaded sound module options
!!--------------------------

!!Module: snd_ca0106
        enable : Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y
        id : <NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NULL>,<NU$
        index : 0,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-$
        subsystem : 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0$

!!Module: snd_via82xx
        ac97_clock : 48000
        ac97_quirk : <NULL>
        dxs_support : 4
        enable : N
        id : <NULL>
        index : 1
        joystick : N
        mpu_port : 0
        nodelay : 0
Comment 9 Bug Zapper 2010-04-27 08:37:14 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Michael J. Burns 2010-04-28 23:23:25 EDT
Yes, this report is about Fedora 12.
Comment 11 Michael J. Burns 2010-06-16 14:14:41 EDT
My up to date Fedora 13 has the same regression as the current fedora 12 as compared to the first month of Fedora 12.

The first month of Fedora 12, my Live disk of early Fedora 12, and my Debian Testing partition with the 2.6.30.1 kernel all allow the use of my ca0106, Audigy SE, as the second and preferred sound chip. Current Fedora 12 and Fedora 13 do not.
Comment 12 Bug Zapper 2010-06-28 07:01:11 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Michael J. Burns 2010-06-28 20:48:03 EDT
This is a regression from early Fedora 12. Kindly fix the current Fedora 12 and Fedora 13 releases.

Current Fedora 12 and current Fedora 13 can not use my Audigy SE sound card in addition to the on-board Via 82xx chip. But, early Fedora 12, a Live Disk of early Fedora 12, and my current Debian Testing partition with a 2.6.30.1 kernel all use the Audigy SE card in preference to the on-board chip.
Comment 14 Michael J. Burns 2010-06-30 12:25:48 EDT
Well. It's good news. The Xfce Audio mixer can be used to uncheck the IEC958 box on the Switches tab. So now I can plug in head phones without readjusting the loudspeaker volume close to it's limit. Reading the Comment 4 above, I see relevance that still exists in Fedora 12 and 13. Namely, the Pulse Audio volume control has a selectable setting that should set this hardware switch properly.

Note You need to log in before you can comment on or make changes to this bug.